const SPINNER: [&str; 10] = ["⠋", "⠙", "⠹", "⠸", "⠼", "⠴", "⠦", "⠧", "⠇", "⠏"];

pub struct DotSpinner {
    elements: Vec<String>,
}

impl Default for DotSpinner {
    fn default() -> Self {
        Self {
            elements: SPINNER.iter().map(|s| s.to_string()).collect::<Vec<_>>(),
        }
    }
}

impl ToString for DotSpinner {
    fn to_string(&self) -> String {
        self.elements[((chrono::Utc::now().timestamp_millis() % super::CYCLE)
            / (super::CYCLE / self.elements.len() as i64)) as usize]
            .to_owned()
    }
}
